<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Builder;

class PagSeguroQrCodesBuilder implements Builder {
	protected $expiration_date;
	protected $amount;

	public function build(): PagSeguroQrCodes {

		$obj = new PagSeguroQrCodes();

		$obj->setAmount( $this->amount );
		$obj->setExpirationDate( $this->expiration_date );

		return $obj;

	}

	/**
	 *
	 * @param mixed $expiration_date
	 */
	public function setExpirationDate($expiration_date): PagSeguroQrCodesBuilder {

		$this->expiration_date = $expiration_date;
		return $this;

	}

	/**
	 *
	 * @param mixed $amount
	 */
	public function setAmount($amount): PagSeguroQrCodesBuilder {

		$this->amount = $amount;
		return $this;

	}

}

